ru.bitel.bgbilling.kernel.contract.autopayment.common.bean

## Enum AutopaymentMode

- java.lang.Object
- - java.lang.Enum<AutopaymentMode>
  - - ru.bitel.bgbilling.kernel.contract.autopayment.common.bean.AutopaymentMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AutopaymentMode>

      public enum AutopaymentMode
      extends java.lang.Enum<AutopaymentMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTO`
    `MONTH`
    `OFF`
    `WEEK`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AutopaymentMode` | `getAutopaymentModeByCode(int code)`
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static AutopaymentMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AutopaymentMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OFF

          public static final AutopaymentMode OFF

    - #### WEEK

          public static final AutopaymentMode WEEK

    - #### MONTH

          public static final AutopaymentMode MONTH

    - #### AUTO

          public static final AutopaymentMode AUTO

  - ### Method Detail

    - #### values

          public static AutopaymentMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AutopaymentMode c : AutopaymentMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AutopaymentMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<AutopaymentMode>`

    - #### getAutopaymentModeByCode

          public static AutopaymentMode getAutopaymentModeByCode(int code)